Pistis
API referenceApprovals and questions

Answer the agent's question

POST
/sessions/{id}/asks/{askId}

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

askId*string

An ask id

Request Body

application/json
  1. body
answer*string

Response Body

Answered

application/json
  1. response
ok*unknown
Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/asks/ask_1' \  -H 'Content-Type: application/json' \  -d '{  "answer": "Use the staging database"}'
Example Response
{  "ok": true}